## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogWebServiceTable

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
                                          org.eclipse.datatools.modelbase.sql.tables.impl.PersistentTableImpl
                                              org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASETableImpl
                                                  org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEProxyTableImpl
                                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEWebServiceTableImpl
                                                          org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogWebServiceTable

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, ICatalogTable, ISybaseASECatalogProxyTable, ISybaseASECatalogTable, ISybaseASECatalogWebServiceTable, SybaseASEBaseTable, SybaseASEProxyTable, SybaseASETable, SybaseASEWebServiceTable, SybaseAuthorizedObject, SybaseBaseTable, SQLObject, BaseTable, PersistentTable, Table, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogWebServiceTable

extends SybaseASEWebServiceTableImpl
implements ICatalogObject, ICatalogTable, org.eclipse.core.runtime.IAdaptable, ISybaseASECatalogWebServiceTable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogWebServiceTable()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getColumns()` Returns the value of the 'Columns' containment reference list.
`org.eclipse.emf.common.util.EList` `getColumnsSuper()`
`int` `getConcurrencyOptThreshold()`
`int` `getConcurrencyOptThresholdSuper()`
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getConstraints()` Returns the value of the 'Constraints' containment reference list.
`org.eclipse.emf.common.util.EList` `getConstraintsSuper()`
`int` `getExpRowSize()`
`int` `getExpRowSizeSuper()`
`java.lang.String` `getExternalPath()`
`java.lang.String` `getExternalPathSuper()`
`ProxyTableExternalType` `getExternalType()`
`ProxyTableExternalType` `getExternalTypeSuper()`
`java.lang.String` `getFileDelimiter()`
`java.lang.String` `getFileDelimiterSuper()`
`int` `getFillFactor()`
`int` `getFillFactorSuper()`
`int` `getIdentityGap()`
`int` `getIdentityGapSuper()`
`org.eclipse.emf.common.util.EList` `getIndex()` Returns the value of the 'Index' reference list.
`org.eclipse.emf.common.util.EList` `getIndexSuper()`
`org.eclipse.emf.common.util.EList` `getLockPromotion()`
`org.eclipse.emf.common.util.EList` `getLockPromotionSuper()`
`LockingSchemaType` `getLockSchema()`
`LockingSchemaType` `getLockSchemaSuper()`
`int` `getMaxRowPerPage()`
`int` `getMaxRowPerPageSuper()`
`java.lang.String` `getMethod()`
`java.lang.String` `getMethodSuper()`
`SybaseASEPartition` `getPartitionCondition()`
`SybaseASEPartition` `getPartitionConditionSuper()`
`int` `getPartitions()`
`int` `getPartitionsSuper()`
`org.eclipse.emf.common.util.EList` `getPrivileges()` Returns the value of the 'Privileges' reference list.
`org.eclipse.emf.common.util.EList` `getPrivilegesSuper()`
`int` `getReservePageGap()`
`int` `getReservePageGapSuper()`
`SybaseASESegment` `getSegment()`
`SybaseASESegment` `getSegmentSuper()`
`int` `getStatus()`
`int` `getTableId()`
`SybaseASEBaseTableLoader` `getTableLoader()`
`CacheInfo` `getTableOnlyCacheInfo()`
`CacheInfo` `getTableOnlyCacheInfoSuper()`
`SybaseASESegment` `getTextImageSegment()`
`SybaseASESegment` `getTextImageSegmentSuper()`
`CacheInfo` `getTextOnlyCacheInfo()`
`CacheInfo` `getTextOnlyCacheInfoSuper()`
`org.eclipse.emf.common.util.EList` `getTriggers()` Returns the value of the 'Triggers' reference list.
`org.eclipse.emf.common.util.EList` `getTriggersSuper()`
`java.lang.String` `getWSDLURI()`
`java.lang.String` `getWSDLURISuper()`
`boolean` `isExisting()`
`boolean` `isExistingSuper()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEWebServiceTableImpl
`eGet, eIsSet, eSet, eUnset, setMethod, setWSDLURI, toString`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEProxyTableImpl
`getColumnDelimiter, setColumnDelimiter, setExisting, setExternalPath, setExternalType`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASETableImpl

`basicGetSegment, basicGetTextImageSegment, basicSetPartitionCondition, basicSetTableOnlyCacheInfo, basicSetTextOnlyCacheInfo, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, eInverseRemove, getCheckConstraints, isSystem, isSystemTable, setConcurrencyOptThreshold, setExpRowSize, setFillFactor, setIdentityGap, setLockSchema, setMaxRowPerPage, setPartitionCondition, setPartitions, setReservePageGap, setSegment, setSystemTable, setTableOnlyCacheInfo, setTextImageSegment, setTextOnlyCacheInfo`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
`eInverseAdd, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseASEProxyTable
`getColumnDelimiter, setColumnDelimiter, setExisting, setExternalPath, setExternalType`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseASEBaseTable
`isSystemTable, setConcurrencyOptThreshold, setExpRowSize, setFillFactor, setIdentityGap, setLockSchema, setMaxRowPerPage, setPartitionCondition, setPartitions, setReservePageGap, setSegment, setSystemTable, setTableOnlyCacheInfo, setTextImageSegment, setTextOnlyCacheInfo`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASECatalogWebServiceTable

    public SybaseASECatalogWebServiceTable()

Method Detail

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getTableId

    public int getTableId()

  Specified by:
    `getTableId` in interface `ICatalogTable`

### getStatus

    public int getStatus()

### getColumns

    public org.eclipse.emf.common.util.EList getColumns()

  Description copied from interface: `Table`
  Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getColumns` in interface `Table`
  Overrides:
    `getColumns` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `SQLTablesPackage.getTable_Columns()`, `Column.getTable()`

### getConstraints

    public org.eclipse.emf.common.util.EList getConstraints()

  Description copied from interface: `BaseTable`
  Returns the value of the 'Constraints' containment reference list. The list contents are of type `TableConstraint`. It is bidirectional and its opposite is '`Base Table`'.

  If the meaning of the 'Constraints' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getConstraints` in interface `BaseTable`
  Overrides:
    `getConstraints` in class `org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl`
  Returns:
    the value of the 'Constraints' containment reference list.
  See Also:
    `SQLTablesPackage.getBaseTable_Constraints()`, `TableConstraint.getBaseTable()`

### getIndex

    public org.eclipse.emf.common.util.EList getIndex()

  Description copied from interface: `Table`
  Returns the value of the 'Index' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Index' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getIndex` in interface `Table`
  Overrides:
    `getIndex` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Index' reference list.
  See Also:
    `SQLTablesPackage.getTable_Index()`, `Index.getTable()`

### getTextImageSegment

    public SybaseASESegment getTextImageSegment()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getTextImageSegment` in interface `SybaseASEBaseTable`
  Overrides:
    `getTextImageSegment` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Text Image Segment' reference.
  See Also:
    `SybaseASEBaseTable.setTextImageSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TextImageSegment()`

### getTriggers

    public org.eclipse.emf.common.util.EList getTriggers()

  Description copied from interface: `Table`
  Returns the value of the 'Triggers' reference list. The list contents are of type `Trigger`. It is bidirectional and its opposite is '`Subject Table`'.

  If the meaning of the 'Triggers' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getTriggers` in interface `Table`
  Overrides:
    `getTriggers` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLTablesPackage.getTable_Triggers()`, `Trigger.getSubjectTable()`

### getLockSchema

    public LockingSchemaType getLockSchema()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getLockSchema` in interface `SybaseASEBaseTable`
  Overrides:
    `getLockSchema` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Lock Schema' attribute.
  See Also:
    `LockingSchemaType`, `SybaseASEBaseTable.setLockSchema(LockingSchemaType)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_LockSchema()`

### getFillFactor

    public int getFillFactor()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getFillFactor` in interface `SybaseASEBaseTable`
  Overrides:
    `getFillFactor` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Fill Factor' attribute.
  See Also:
    `SybaseASEBaseTable.setFillFactor(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_FillFactor()`

### getMaxRowPerPage

    public int getMaxRowPerPage()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getMaxRowPerPage` in interface `SybaseASEBaseTable`
  Overrides:
    `getMaxRowPerPage` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Max Row Per Page' attribute.
  See Also:
    `SybaseASEBaseTable.setMaxRowPerPage(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_MaxRowPerPage()`

### getExpRowSize

    public int getExpRowSize()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getExpRowSize` in interface `SybaseASEBaseTable`
  Overrides:
    `getExpRowSize` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Exp Row Size' attribute.
  See Also:
    `SybaseASEBaseTable.setExpRowSize(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ExpRowSize()`

### getReservePageGap

    public int getReservePageGap()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getReservePageGap` in interface `SybaseASEBaseTable`
  Overrides:
    `getReservePageGap` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Reserve Page Gap' attribute.
  See Also:
    `SybaseASEBaseTable.setReservePageGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ReservePageGap()`

### getIdentityGap

    public int getIdentityGap()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getIdentityGap` in interface `SybaseASEBaseTable`
  Overrides:
    `getIdentityGap` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Identity Gap' attribute.
  See Also:
    `SybaseASEBaseTable.setIdentityGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_IdentityGap()`

### getSegment

    public SybaseASESegment getSegment()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getSegment` in interface `SybaseASEBaseTable`
  Overrides:
    `getSegment` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Segment' reference.
  See Also:
    `SybaseASEBaseTable.setSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_Segment()`

### getTableOnlyCacheInfo

    public CacheInfo getTableOnlyCacheInfo()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getTableOnlyCacheInfo` in interface `SybaseASEBaseTable`
  Overrides:
    `getTableOnlyCacheInfo` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Table Only Cache Info' containment reference.
  See Also:
    `SybaseASEBaseTable.setTableOnlyCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TableOnlyCacheInfo()`

### getTextOnlyCacheInfo

    public CacheInfo getTextOnlyCacheInfo()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getTextOnlyCacheInfo` in interface `SybaseASEBaseTable`
  Overrides:
    `getTextOnlyCacheInfo` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Text Only Cache Info' containment reference.
  See Also:
    `SybaseASEBaseTable.setTextOnlyCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_TextOnlyCacheInfo()`

### getConcurrencyOptThreshold

    public int getConcurrencyOptThreshold()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getConcurrencyOptThreshold` in interface `SybaseASEBaseTable`
  Overrides:
    `getConcurrencyOptThreshold` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Concurrency Opt Threshold' attribute.
  See Also:
    `SybaseASEBaseTable.setConcurrencyOptThreshold(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_ConcurrencyOptThreshold()`

### getPartitions

    public int getPartitions()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getPartitions` in interface `SybaseASEBaseTable`
  Overrides:
    `getPartitions` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Partitions' attribute.
  See Also:
    `SybaseASEBaseTable.setPartitions(int)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_Partitions()`

### getPartitionCondition

    public SybaseASEPartition getPartitionCondition()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getPartitionCondition` in interface `SybaseASEBaseTable`
  Overrides:
    `getPartitionCondition` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Partition Condition' containment reference.
  See Also:
    `SybaseASEBaseTable.setPartitionCondition(SybaseASEPartition)`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable_PartitionCondition()`

### getLockPromotion

    public org.eclipse.emf.common.util.EList getLockPromotion()

  Description copied from class: `SybaseASETableImpl`

  Specified by:
    `getLockPromotion` in interface `SybaseASEBaseTable`
  Overrides:
    `getLockPromotion` in class `SybaseASETableImpl`
  Returns:
    the value of the 'Lock Promotion' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEBaseTable_LockPromotion()`

### getPrivileges

    public org.eclipse.emf.common.util.EList getPrivileges()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Privileges' reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Object`'.

  If the meaning of the 'Privileges' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getPrivileges` in interface `SQLObject`
  Overrides:
    `getPrivileges` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Privileges' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Privileges()`, `Privilege.getObject()`

### getExternalType

    public ProxyTableExternalType getExternalType()

  Description copied from class: `SybaseASEProxyTableImpl`

  Specified by:
    `getExternalType` in interface `SybaseASEProxyTable`
  Overrides:
    `getExternalType` in class `SybaseASEProxyTableImpl`
  Returns:
    the value of the 'External Type' attribute.
  See Also:
    `ProxyTableExternalType`, `SybaseASEProxyTable.setExternalType(ProxyTableExternalType)`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable_ExternalType()`

### isExisting

    public boolean isExisting()

  Description copied from class: `SybaseASEProxyTableImpl`

  Specified by:
    `isExisting` in interface `SybaseASEProxyTable`
  Overrides:
    `isExisting` in class `SybaseASEProxyTableImpl`
  Returns:
    the value of the 'Existing' attribute.
  See Also:
    `SybaseASEProxyTable.setExisting(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable_Existing()`

### getFileDelimiter

    public java.lang.String getFileDelimiter()

### getExternalPath

    public java.lang.String getExternalPath()

  Description copied from class: `SybaseASEProxyTableImpl`

  Specified by:
    `getExternalPath` in interface `SybaseASEProxyTable`
  Overrides:
    `getExternalPath` in class `SybaseASEProxyTableImpl`
  Returns:
    the value of the 'External Path' attribute.
  See Also:
    `SybaseASEProxyTable.setExternalPath(String)`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable_ExternalPath()`

### getMethod

    public java.lang.String getMethod()

  Description copied from class: `SybaseASEWebServiceTableImpl`

  Specified by:
    `getMethod` in interface `SybaseASEWebServiceTable`
  Overrides:
    `getMethod` in class `SybaseASEWebServiceTableImpl`
  Returns:
    the value of the 'Method' attribute.
  See Also:
    `SybaseASEWebServiceTable.setMethod(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebServiceTable_Method()`

### getWSDLURI

    public java.lang.String getWSDLURI()

  Description copied from class: `SybaseASEWebServiceTableImpl`

  Specified by:
    `getWSDLURI` in interface `SybaseASEWebServiceTable`
  Overrides:
    `getWSDLURI` in class `SybaseASEWebServiceTableImpl`
  Returns:
    the value of the 'WSDLURI' attribute.
  See Also:
    `SybaseASEWebServiceTable.setWSDLURI(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebServiceTable_WSDLURI()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getExternalPathSuper

    public java.lang.String getExternalPathSuper()

  Specified by:
    `getExternalPathSuper` in interface `ISybaseASECatalogProxyTable`

### getExternalTypeSuper

    public ProxyTableExternalType getExternalTypeSuper()

  Specified by:
    `getExternalTypeSuper` in interface `ISybaseASECatalogProxyTable`

### getFileDelimiterSuper

    public java.lang.String getFileDelimiterSuper()

  Specified by:
    `getFileDelimiterSuper` in interface `ISybaseASECatalogProxyTable`

### isExistingSuper

    public boolean isExistingSuper()

  Specified by:
    `isExistingSuper` in interface `ISybaseASECatalogProxyTable`

### getColumnsSuper

    public org.eclipse.emf.common.util.EList getColumnsSuper()

  Specified by:
    `getColumnsSuper` in interface `ISybaseASECatalogTable`

### getConstraintsSuper

    public org.eclipse.emf.common.util.EList getConstraintsSuper()

  Specified by:
    `getConstraintsSuper` in interface `ISybaseASECatalogTable`

### getIndexSuper

    public org.eclipse.emf.common.util.EList getIndexSuper()

  Specified by:
    `getIndexSuper` in interface `ISybaseASECatalogTable`

### getTextImageSegmentSuper

    public SybaseASESegment getTextImageSegmentSuper()

  Specified by:
    `getTextImageSegmentSuper` in interface `ISybaseASECatalogTable`

### getTriggersSuper

    public org.eclipse.emf.common.util.EList getTriggersSuper()

  Specified by:
    `getTriggersSuper` in interface `ISybaseASECatalogTable`

### getLockSchemaSuper

    public LockingSchemaType getLockSchemaSuper()

  Specified by:
    `getLockSchemaSuper` in interface `ISybaseASECatalogTable`

### getConcurrencyOptThresholdSuper

    public int getConcurrencyOptThresholdSuper()

  Specified by:
    `getConcurrencyOptThresholdSuper` in interface `ISybaseASECatalogTable`

### getExpRowSizeSuper

    public int getExpRowSizeSuper()

  Specified by:
    `getExpRowSizeSuper` in interface `ISybaseASECatalogTable`

### getFillFactorSuper

    public int getFillFactorSuper()

  Specified by:
    `getFillFactorSuper` in interface `ISybaseASECatalogTable`

### getIdentityGapSuper

    public int getIdentityGapSuper()

  Specified by:
    `getIdentityGapSuper` in interface `ISybaseASECatalogTable`

### getMaxRowPerPageSuper

    public int getMaxRowPerPageSuper()

  Specified by:
    `getMaxRowPerPageSuper` in interface `ISybaseASECatalogTable`

### getPartitionsSuper

    public int getPartitionsSuper()

  Specified by:
    `getPartitionsSuper` in interface `ISybaseASECatalogTable`

### getReservePageGapSuper

    public int getReservePageGapSuper()

  Specified by:
    `getReservePageGapSuper` in interface `ISybaseASECatalogTable`

### getTableOnlyCacheInfoSuper

    public CacheInfo getTableOnlyCacheInfoSuper()

  Specified by:
    `getTableOnlyCacheInfoSuper` in interface `ISybaseASECatalogTable`

### getTextOnlyCacheInfoSuper

    public CacheInfo getTextOnlyCacheInfoSuper()

  Specified by:
    `getTextOnlyCacheInfoSuper` in interface `ISybaseASECatalogTable`

### getSegmentSuper

    public SybaseASESegment getSegmentSuper()

  Specified by:
    `getSegmentSuper` in interface `ISybaseASECatalogTable`

### getPartitionConditionSuper

    public SybaseASEPartition getPartitionConditionSuper()

  Specified by:
    `getPartitionConditionSuper` in interface `ISybaseASECatalogTable`

### getLockPromotionSuper

    public org.eclipse.emf.common.util.EList getLockPromotionSuper()

  Specified by:
    `getLockPromotionSuper` in interface `ISybaseASECatalogTable`

### getPrivilegesSuper

    public org.eclipse.emf.common.util.EList getPrivilegesSuper()

  Specified by:
    `getPrivilegesSuper` in interface `ISybaseASECatalogTable`

### getMethodSuper

    public java.lang.String getMethodSuper()

  Specified by:
    `getMethodSuper` in interface `ISybaseASECatalogWebServiceTable`

### getWSDLURISuper

    public java.lang.String getWSDLURISuper()

  Specified by:
    `getWSDLURISuper` in interface `ISybaseASECatalogWebServiceTable`

### getTableLoader

    public SybaseASEBaseTableLoader getTableLoader()

  Specified by:
    `getTableLoader` in interface `ISybaseASECatalogTable`